clang 10.0.0git

Public Member Functions | Static Public Attributes | List of all members
clang::cross_tu::IndexError Class Reference

`#include "clang/CrossTU/CrossTranslationUnit.h"`

Inheritance diagram for clang::cross_tu::IndexError:
[legend]
Collaboration diagram for clang::cross_tu::IndexError:
[legend]

## Public Member Functions
| IndexError (index_error_code C)
| IndexError (index_error_code C, std::string FileName, int LineNo=0)
| IndexError (index_error_code C, std::string FileName, std::string TripleToName, std::string TripleFromName)
void | log (raw_ostream &OS) const override
std::error_code | convertToErrorCode () const override
index_error_code | getCode () const
int | getLineNum () const
std::string | getFileName () const
std::string | getTripleToName () const
std::string | getTripleFromName () const

## Static Public Attributes
static char | ID

## Detailed Description

Definition at line 53 of file CrossTranslationUnit.h.

## Constructor & Destructor Documentation

## ◆ IndexError() [1/3]

clang::cross_tu::IndexError::IndexError | ( | index_error_code | C | ) |
| inline

Definition at line 56 of file CrossTranslationUnit.h.

## ◆ IndexError() [2/3]

clang::cross_tu::IndexError::IndexError | ( | index_error_code | C,
|  | std::string | FileName,
|  | int | LineNo = `0`
| ) |  |
| inline

Definition at line 57 of file CrossTranslationUnit.h.

## ◆ IndexError() [3/3]

clang::cross_tu::IndexError::IndexError | ( | index_error_code | C,
|  | std::string | FileName,
|  | std::string | TripleToName,
|  | std::string | TripleFromName
| ) |  |
| inline

Definition at line 59 of file CrossTranslationUnit.h.

References log.

## Member Function Documentation

## ◆ convertToErrorCode()

std::error_code clang::cross_tu::IndexError::convertToErrorCode | ( |  | ) | const
| override

Definition at line 127 of file CrossTranslationUnit.cpp.

References Category.

## ◆ getCode()

index_error_code clang::cross_tu::IndexError::getCode | ( |  | ) | const
| inline

Definition at line 66 of file CrossTranslationUnit.h.

Referenced by clang::cross_tu::CrossTranslationUnitContext::emitCrossTUDiagnostics().

## ◆ getFileName()

std::string clang::cross_tu::IndexError::getFileName | ( |  | ) | const
| inline

Definition at line 68 of file CrossTranslationUnit.h.

Referenced by clang::cross_tu::CrossTranslationUnitContext::emitCrossTUDiagnostics().

## ◆ getLineNum()

int clang::cross_tu::IndexError::getLineNum | ( |  | ) | const
| inline

Definition at line 67 of file CrossTranslationUnit.h.

Referenced by clang::cross_tu::CrossTranslationUnitContext::emitCrossTUDiagnostics().

## ◆ getTripleFromName()

std::string clang::cross_tu::IndexError::getTripleFromName | ( |  | ) | const
| inline

Definition at line 70 of file CrossTranslationUnit.h.

References clang::cross_tu::createCrossTUIndexString(), and clang::cross_tu::parseCrossTUIndex().

Referenced by clang::cross_tu::CrossTranslationUnitContext::emitCrossTUDiagnostics().

## ◆ getTripleToName()

std::string clang::cross_tu::IndexError::getTripleToName | ( |  | ) | const
| inline

Definition at line 69 of file CrossTranslationUnit.h.

Referenced by clang::cross_tu::CrossTranslationUnitContext::emitCrossTUDiagnostics().

## ◆ log()

void clang::cross_tu::IndexError::log | ( | raw_ostream & | OS | ) | const
| override

Definition at line 123 of file CrossTranslationUnit.cpp.

References Category.

## Member Data Documentation

## ◆ ID

char clang::cross_tu::IndexError::ID
| static

Definition at line 55 of file CrossTranslationUnit.h.

The documentation for this class was generated from the following files:

- include/clang/CrossTU/CrossTranslationUnit.h
- lib/CrossTU/CrossTranslationUnit.cpp